net.snowflake.client.jdbc

## Enum ErrorCode

- java.lang.Object
- - java.lang.Enum<ErrorCode>
  - - net.snowflake.client.jdbc.ErrorCode

All Implemented Interfaces:
  Serializable, Comparable<ErrorCode>

    public enum ErrorCode
    extends Enum<ErrorCode>

Internal JDBC driver error codes

Author:
  jhuang

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARRAY_BIND_MIXED_TYPES_NOT_SUPPORTED`
`AWS_CLIENT_ERROR`
`BAD_RESPONSE`
`CLIENT_SIDE_SORTING_NOT_SUPPORTED`
`COLUMN_DOES_NOT_EXIST`
`COMPRESSION_TYPE_NOT_KNOWN`
`COMPRESSION_TYPE_NOT_SUPPORTED`
`CONNECTION_ERROR`
`CONNECTION_ESTABLISHED_WITH_DIFFERENT_PROP`
`DATA_TYPE_NOT_SUPPORTED`
`DUPLICATE_CONNECTION_PROPERTY_SPECIFIED`
`DUPLICATE_STATEMENT_PARAMETER_SPECIFIED`
`FAIL_LIST_FILES`
`FEATURE_UNSUPPORTED`
`FILE_IS_DIRECTORY`
`FILE_NOT_FOUND`
`IDP_CONNECTION_ERROR`
`IDP_INCORRECT_DESTINATION`
`INTERNAL_ERROR` Error codes partitioning: 0NNNNN: GS SQL error codes 1NNNNN: XP error codes 2NNNNN: JDBC driver error codes 3NNNNN: GS generic error codes 4NNNNN: Node.js driver error codes N can be any digits from 0 to 9.
`INTERRUPTED`
`INVALID_CONNECTION_URL`
`INVALID_PARAMETER_TYPE`
`INVALID_SQL`
`INVALID_STATE`
`INVALID_VALUE_CONVERT`
`IO_ERROR`
`MAX_RESULT_LIMIT_EXCEEDED`
`MISSING_CONNECTION_PROPERTY`
`MISSING_PASSWORD`
`MISSING_SERVER_URL`
`MISSING_USERNAME`
`NETWORK_ERROR`
`PATH_NOT_DIRECTORY`
`QUERY_CANCELED`
`RESULTSET_ALREADY_CLOSED`
`ROW_DOES_NOT_EXIST`
`S3_OPERATION_ERROR`
`STATEMENT_ALREADY_RUNNING_QUERY`
`STATEMENT_CLOSED`
`TOO_MANY_SESSION_PARAMETERS`
`TOO_MANY_STATEMENT_PARAMETERS`

### Field Summary

Fields
`static String` `errorMessageResource`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ErrorCode` `getByErrorCode(String errorCode)`
`Integer` `getMessageCode()`
`String` `getSqlState()`
`String` `toString()`
`static ErrorCode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ErrorCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INTERNAL_ERROR

    public static final ErrorCode INTERNAL_ERROR

Error codes partitioning: 0NNNNN: GS SQL error codes 1NNNNN: XP error codes 2NNNNN: JDBC driver error codes 3NNNNN: GS generic error codes 4NNNNN: Node.js driver error codes N can be any digits from 0 to 9.

#### CONNECTION_ERROR

    public static final ErrorCode CONNECTION_ERROR

#### INTERRUPTED

    public static final ErrorCode INTERRUPTED

#### COMPRESSION_TYPE_NOT_SUPPORTED

    public static final ErrorCode COMPRESSION_TYPE_NOT_SUPPORTED

#### QUERY_CANCELED

    public static final ErrorCode QUERY_CANCELED

#### COMPRESSION_TYPE_NOT_KNOWN

    public static final ErrorCode COMPRESSION_TYPE_NOT_KNOWN

#### FAIL_LIST_FILES

    public static final ErrorCode FAIL_LIST_FILES

#### FILE_NOT_FOUND

    public static final ErrorCode FILE_NOT_FOUND

#### FILE_IS_DIRECTORY

    public static final ErrorCode FILE_IS_DIRECTORY

#### DUPLICATE_CONNECTION_PROPERTY_SPECIFIED

    public static final ErrorCode DUPLICATE_CONNECTION_PROPERTY_SPECIFIED

#### MISSING_USERNAME

    public static final ErrorCode MISSING_USERNAME

#### MISSING_PASSWORD

    public static final ErrorCode MISSING_PASSWORD

#### S3_OPERATION_ERROR

    public static final ErrorCode S3_OPERATION_ERROR

#### MAX_RESULT_LIMIT_EXCEEDED

    public static final ErrorCode MAX_RESULT_LIMIT_EXCEEDED

#### NETWORK_ERROR

    public static final ErrorCode NETWORK_ERROR

#### IO_ERROR

    public static final ErrorCode IO_ERROR

#### PATH_NOT_DIRECTORY

    public static final ErrorCode PATH_NOT_DIRECTORY

#### DATA_TYPE_NOT_SUPPORTED

    public static final ErrorCode DATA_TYPE_NOT_SUPPORTED

#### CLIENT_SIDE_SORTING_NOT_SUPPORTED

    public static final ErrorCode CLIENT_SIDE_SORTING_NOT_SUPPORTED

#### AWS_CLIENT_ERROR

    public static final ErrorCode AWS_CLIENT_ERROR

#### INVALID_SQL

    public static final ErrorCode INVALID_SQL

#### BAD_RESPONSE

    public static final ErrorCode BAD_RESPONSE

#### ARRAY_BIND_MIXED_TYPES_NOT_SUPPORTED

    public static final ErrorCode ARRAY_BIND_MIXED_TYPES_NOT_SUPPORTED

#### STATEMENT_CLOSED

    public static final ErrorCode STATEMENT_CLOSED

#### STATEMENT_ALREADY_RUNNING_QUERY

    public static final ErrorCode STATEMENT_ALREADY_RUNNING_QUERY

#### MISSING_SERVER_URL

    public static final ErrorCode MISSING_SERVER_URL

#### TOO_MANY_SESSION_PARAMETERS

    public static final ErrorCode TOO_MANY_SESSION_PARAMETERS

#### MISSING_CONNECTION_PROPERTY

    public static final ErrorCode MISSING_CONNECTION_PROPERTY

#### INVALID_CONNECTION_URL

    public static final ErrorCode INVALID_CONNECTION_URL

#### DUPLICATE_STATEMENT_PARAMETER_SPECIFIED

    public static final ErrorCode DUPLICATE_STATEMENT_PARAMETER_SPECIFIED

#### TOO_MANY_STATEMENT_PARAMETERS

    public static final ErrorCode TOO_MANY_STATEMENT_PARAMETERS

#### COLUMN_DOES_NOT_EXIST

    public static final ErrorCode COLUMN_DOES_NOT_EXIST

#### INVALID_PARAMETER_TYPE

    public static final ErrorCode INVALID_PARAMETER_TYPE

#### ROW_DOES_NOT_EXIST

    public static final ErrorCode ROW_DOES_NOT_EXIST

#### FEATURE_UNSUPPORTED

    public static final ErrorCode FEATURE_UNSUPPORTED

#### INVALID_STATE

    public static final ErrorCode INVALID_STATE

#### RESULTSET_ALREADY_CLOSED

    public static final ErrorCode RESULTSET_ALREADY_CLOSED

#### INVALID_VALUE_CONVERT

    public static final ErrorCode INVALID_VALUE_CONVERT

#### IDP_CONNECTION_ERROR

    public static final ErrorCode IDP_CONNECTION_ERROR

#### IDP_INCORRECT_DESTINATION

    public static final ErrorCode IDP_INCORRECT_DESTINATION

#### CONNECTION_ESTABLISHED_WITH_DIFFERENT_PROP

    public static final ErrorCode CONNECTION_ESTABLISHED_WITH_DIFFERENT_PROP

### Field Detail

#### errorMessageResource

    public static final String errorMessageResource

See Also:
  Constant Field Values

### Method Detail

#### values

    public static ErrorCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ErrorCode c : ErrorCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ErrorCode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getMessageCode

    public Integer getMessageCode()

#### getSqlState

    public String getSqlState()

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<ErrorCode>`

#### getByErrorCode

    public static ErrorCode getByErrorCode(String errorCode)